Page MenuHomePhabricator

Make rollback inherit all slots from the target version
Closed, ResolvedPublic

Description

WikiPage::doRollback needs to consider all slots. Also, when performing a rollback, the slot content should be inherited from the revision that created them.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
Resolveddaniel
Resolveddaniel
Resolveddaniel

Event Timeline

daniel triaged this task as Normal priority.May 7 2018, 12:27 PM
daniel created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 12:27 PM

Change 429421 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [WIP][MCR] Rollback for all slots

https://gerrit.wikimedia.org/r/429421

daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.May 7 2018, 12:28 PM

Change 429421 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Rollback for all slots

https://gerrit.wikimedia.org/r/429421

Tgr closed this task as Resolved.Jun 23 2018, 3:19 PM
Vvjjkkii renamed this task from Make rollback inherit all slots from the target version to hhdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed daniel as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from hhdaaaaaaa to Make rollback inherit all slots from the target version.Jul 2 2018, 6:44 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to daniel.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.